# Rebooting a DB Instance

#### Function

This API is used to reboot a DB instance.

The RDS DB instance will be unavailable during the reboot process. Exercise caution when performing this operation.

#### URI

- URI format

  PATH: /rds/v1/{project_id}/instances/{instanceId}/action

  Method: POST

- Parameter description

  Table 1 Parameter description
  Name | Mandatory | Description
  --- | --- | ---
  project_id | Yes | Specifies the project ID of a tenant in a region.
  instanceId | Yes | Specifies the primary node ID of the DB instance. NOTE: This field is not the DB instance ID. You are advised to use API v3 and the DB instance ID to perform related operations.

- Restrictions

  The DB instance cannot reboot when it is being created, scaled, backed up, restored, or its instance class is being changed.

#### Request

- Parameter description

  Table 2 Parameter description
  Name | Mandatory | Type | Description
  --- | --- | --- | ---
  restart | Yes | None | This parameter is left blank.

- Request example

      {
            "restart": {}
      }

#### Normal Response

- Parameter description

  Table 3 Parameter description
  Name | Type | Description
  --- | --- | ---
  extendparam | Dictionary data structure. For details, see Table 4. | Indicates the returned extendparam key-value pair.

  Table 4 extendparam field data structure description
  Name | Type | Description
  --- | --- | ---
  jobs | List data structure. For details, see Table 5. | Indicates the returned jobs parameter information.

  Table 5 jobs field data structure description
  Name | Type | Description
  --- | --- | ---
  id | String | Indicates the task ID.

- Response example

      {
          "extendparam": {
              "jobs": [
                  {
                      "id": "2b414788-a600-4883-a023-90e2eb0ea227"
                  }
              ]
          }
      }

#### Abnormal Response

For details, see Abnormal Request Results.

Parent topic: DB Instance Management